Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159384 - Admin console fails to start
Summary: Admin console fails to start
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Admin
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-02 07:36 UTC by Mike Jackson
Modified: 2015-01-04 23:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-06 20:52:38 UTC


Attachments (Terms of Use)
fedora-ds startconsole error (deleted)
2005-06-28 13:52 UTC, tom tran
no flags Details

Description Mike Jackson 2005-06-02 07:36:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041123 Firefox/1.0

Description of problem:
The admin console fails to start, complaining about`sh' syntax errors.

Version-Release number of selected component (if applicable):
fedora-ds-7.1-2.RHEL4.i386.opt.rpm

How reproducible:
Always

Steps to Reproduce:
1. cd /opt/fedora-ds
2. ./start-admin
3. ./startconsole
  

Actual Results:  [root@vectra-4 fedora-ds]# ./startconsole
sh: -c: line 0: syntax error near unexpected token `('
sh: -c: line 0: `/opt/fedora-ds/bin/base/jre/bin/java -ms8m -mx64m  -cp .:./mcc70.jar:./mcc70_en.jar:./nmclf70.jar:./ldapjdk.jar:./jss3.jar:./base.jar:./nmclf70_en.jar -Djava.library.path=/opt/fedora-ds/lib/jss  -Djava.util.prefs.systemRoot=/opt/fedora-ds/java/.java -Djava.util.prefs.userRoot=/opt/fedora-ds/java com.netscape.management.client.console.Console -A http://vectra-4.(none):1500'


Expected Results:  The admin console should have started.

Additional info:

Comment 1 Mike Jackson 2005-06-02 09:59:55 UTC
Actually, I worked around this by setting an FQDN as the hostname.

Now, I see a more problems:

[root@vectra-4 fedora-ds]# ./startconsole 
Exception in thread "main" java.lang.ExceptionInInitializerError
        at
com.sun.java.swing.plaf.windows.WindowsLookAndFeel.initialize(WindowsLookAndFeel.java:154)
        at com.netscape.management.nmclf.SuiLookAndFeel.initialize(Unknown Source)
        at javax.swing.UIManager.setLookAndFeel(UIManager.java:424)
        at com.netscape.management.client.console.Console.common_init(Unknown
Source)
        at com.netscape.management.client.console.Console.<init>(Unknown Source)
        at com.netscape.management.client.console.Console.main(Unknown Source)
Caused by: java.lang.NullPointerException
        at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:2159)
        at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1994)
        at java.lang.Runtime.loadLibrary0(Runtime.java:824)
        at java.lang.System.loadLibrary(System.java:908)
        at sun.security.action.LoadLibraryAction.run(LoadLibraryAction.java:76)
        at java.security.AccessController.doPrivileged1(Native Method)
        at java.security.AccessController.doPrivileged(AccessController.java:287)
        at java.awt.Toolkit.loadLibraries(Toolkit.java:1488)
        at java.awt.Toolkit.<clinit>(Toolkit.java:1511)
        ... 6 more

Comment 2 Rich Megginson 2005-06-03 22:24:51 UTC
Ok.  Based on mailing list discussion, this bug is only found on headless
systems or those which are missing the following RPMs:
    alsa-lib
    jpackage-utils
    xorg-x11-deprecated-libs
So the workaround for now is to install those from RHN or a YUM repository, and
the fix is to make the RPM depend on those packages.

Comment 3 Christopher Blizzard 2005-06-07 13:48:20 UTC
So I guess we need to add a Requires: to the rpm package?

Comment 4 Rich Megginson 2005-06-07 15:21:44 UTC
Yes, adding the Requires would do the trick.

Comment 5 Joaquin Romero 2005-06-07 20:27:01 UTC
How do I add Requires: to successfully make fedora-ds depend on these 
packages?  Is this a source rpm thing or can I accomplish with just the rpm?

Comment 6 Rich Megginson 2005-06-07 20:34:24 UTC
There is currently no method to build the binary RPM from the source RPM using
the open source components - there is still a dependency on our proprietary
parts.  The file itself is easy to change - it's
ldapserver/ldapserver.spec.tmpl.  But we will have to respin the binary RPM
internally and make another release.

Comment 7 tom tran 2005-06-28 13:52:54 UTC
Created attachment 116060 [details]
fedora-ds startconsole error

1) My computer has all three packages mentioned above, but I still have the
same problem with executing startconsole command after installing
fedora-ds-7.1-2.RHEL4.i386.opt.rpm.

My computer has:
 alsa-lib-1.0.6-5.RHEL4
 alsa-lib-devel-1.0.6-5.RHEL4
 jpackage-utils-1.6.0-2jpp-3rh
 xorg-x11-deprecated-libs-6.8.2-1.EL.13.6
 xorg-x11-deprecated-libs-devel-6.8.2-1.EL.13.6

2) rpm's Requires option is for query mode (not for install mode)

Comment 9 Rich Megginson 2007-10-05 15:13:19 UTC
Nathan, is this still a problem?

Comment 10 Rich Megginson 2008-06-06 20:52:38 UTC
This is not a problem with Fedora 8 and later - now Requires: java-1.5.0 


Note You need to log in before you can comment on or make changes to this bug.